#include <iostream>
#include <iomanip>
using namespace std;
int main()
{
    double *nizA;
	int n,o,a,b,ab;
	cin>>n;
	cin>>o>>a>>b>>ab;
	char str[10000][80+1];
	nizA = new double [n];
	for (int i=0;i<n;i++)
		cin>>str[i]>>nizA[i];
	cout<<"nemoguce";
	return 0;
}